Bug 978034 - If upload of public ssh keys fails, no notification shown and key must be deleted
If upload of public ssh keys fails, no notification shown and key must be del...
Status: CLOSED WORKSFORME
Product: OpenShift Container Platform
Classification: Red Hat
Component: Website (Show other bugs)
1.2.0
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: chris alfonso
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-25 16:47 EDT by Wesley Duffee-Braun
Modified: 2017-03-08 12 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-18 10:47:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wesley Duffee-Braun 2013-06-25 16:47:59 EDT
Description of problem:
"I created an application and added my public key to my account, however, on my application panel, it still indicates that I need to add a public key to ssh into my application or to upload the code through the git repo. This happens both when I create an app through the Web UI as well as through the rhc command line tools. However, when I create the app through the command line tools, it provides me the git repo information and I can actually upload my code and have the application run- so this appears to be a bug in the WebUI."

The webUI will not show that the key didn't upload correctly, so the key must be deleted and then re-uploaded.

How reproducible:
Moderately

Steps to Reproduce:
1. Attempt to upload public ssh key
2. Occasionally the key will become corrupted
3. Cannot utilize keys

Actual results:
If keys are corrupt/unavailable, and error is not shown

Expected results:
An error is shown and the option to delete/reupload keys is provided

Additional info:
Comment 3 chris alfonso 2013-07-16 16:21:27 EDT
Would you mind attaching to this bug report the public key you're trying to upload?

Note You need to log in before you can comment on or make changes to this bug.